SeExpr

Public Member Functions | Public Attributes | List of all members
ExprSpecNode Struct Reference

Mini parse tree node... Only represents literals, and lists of literals. More...

`#include <ExprSpecType.h>`

Inheritance diagram for ExprSpecNode:

## Public Member Functions
| ExprSpecNode (int startPos, int endPos)
virtual | ~ExprSpecNode ()

## Public Attributes
int | startPos
int | endPos

## Detailed Description

Mini parse tree node... Only represents literals, and lists of literals.

Definition at line 27 of file ExprSpecType.h.

## Constructor & Destructor Documentation

## ◆ ExprSpecNode()

ExprSpecNode::ExprSpecNode | ( | int | startPos,
|  | int | endPos
| ) |  |
| inline

Definition at line 30 of file ExprSpecType.h.

## ◆ ~ExprSpecNode()

virtual ExprSpecNode::~ExprSpecNode | ( |  | ) |
| inline virtual

Definition at line 32 of file ExprSpecType.h.

## Member Data Documentation

## ◆ endPos

int ExprSpecNode::endPos

Definition at line 28 of file ExprSpecType.h.

Referenced by ExprSpecListNode::add().

## ◆ startPos

int ExprSpecNode::startPos

Definition at line 28 of file ExprSpecType.h.

Referenced by ExprSpecListNode::add().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprSpecType.h